@echo off
setlocal

rem Clean out old stuff, if any.
if exist PythonLauncher.obj del PythonLauncher.obj
if exist PythonLauncher.exe del PythonLauncher.exe

rem Compile and link the application
set opt=/Ox /Os /Gy /Gi- /GF /GA /nologo
rem ... Disable the line below to enable assertions (debug mode build)
set opt=%opt% /DNDEBUG

cl %opt% PythonLauncher.c

rem Compress the application using UPX
upx -9 PythonLauncher.exe 2>&1 > nul
if errorlevel 1 echo Warning: UPX not found - unable to compress 'PythonLauncher.exe'

endlocal
